function _tagged_template_literal(strings, raw) {
    if (!raw) {
        raw = strings.slice(0);
    }
    return Object.freeze(Object.defineProperties(strings, {
        raw: {
            value: Object.freeze(raw)
        }
    }));
}
function _templateObject() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-l-font-family);\n                ",
        ": var(--plasma-typo-body-l-font-size);\n                ",
        ": var(--plasma-typo-body-l-font-style);\n                ",
        ": var(--plasma-typo-body-l-font-weight);\n                ",
        ": var(--plasma-typo-body-l-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-l-medium-font-weight);\n                ",
        ": var(--plasma-typo-body-l-letter-spacing);\n                ",
        ": var(--plasma-typo-body-l-line-height);\n            "
    ]);
    _templateObject = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject1() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-m-font-family);\n                ",
        ": var(--plasma-typo-body-m-font-size);\n                ",
        ": var(--plasma-typo-body-m-font-style);\n                ",
        ": var(--plasma-typo-body-m-font-weight);\n                ",
        ": var(--plasma-typo-body-m-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-m-medium-font-weight);\n                ",
        ": var(--plasma-typo-body-m-letter-spacing);\n                ",
        ": var(--plasma-typo-body-m-line-height);\n            "
    ]);
    _templateObject1 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject2() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-s-font-family);\n                ",
        ": var(--plasma-typo-body-s-font-size);\n                ",
        ": var(--plasma-typo-body-s-font-style);\n                ",
        ": var(--plasma-typo-body-s-font-weight);\n                ",
        ": var(--plasma-typo-body-s-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-s-medium-font-weight);\n                ",
        ": var(--plasma-typo-body-s-letter-spacing);\n                ",
        ": var(--plasma-typo-body-s-line-height);\n            "
    ]);
    _templateObject2 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject3() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-xs-font-family);\n                ",
        ": var(--plasma-typo-body-xs-font-size);\n                ",
        ": var(--plasma-typo-body-xs-font-style);\n                ",
        ": var(--plasma-typo-body-xs-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-medium-font-weight);\n                ",
        ": var(--plasma-typo-body-xs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xs-line-height);\n            "
    ]);
    _templateObject3 = function _templateObject() {
        return data;
    };
    return data;
}
function _templateObject4() {
    var data = _tagged_template_literal([
        "\n                ",
        ": var(--plasma-typo-body-xxs-font-family);\n                ",
        ": var(--plasma-typo-body-xxs-font-size);\n                ",
        ": var(--plasma-typo-body-xxs-font-style);\n                ",
        ": var(--plasma-typo-body-xxs-font-weight);\n                ",
        ": var(--plasma-typo-body-xxs-bold-font-weight);\n                ",
        ": var(--plasma-typo-body-xxs-medium-font-weight);\n                ",
        ": var(--plasma-typo-body-xxs-letter-spacing);\n                ",
        ": var(--plasma-typo-body-xxs-line-height);\n            "
    ]);
    _templateObject4 = function _templateObject() {
        return data;
    };
    return data;
}
import { css, typographyTokens } from '@salutejs/plasma-new-hope/styled-components';
export var configL = {
    defaults: {
        size: 'l'
    },
    variations: {
        size: {
            l: css(_templateObject(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configM = {
    defaults: {
        size: 'm'
    },
    variations: {
        size: {
            m: css(_templateObject1(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configS = {
    defaults: {
        size: 's'
    },
    variations: {
        size: {
            s: css(_templateObject2(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configXS = {
    defaults: {
        size: 'xs'
    },
    variations: {
        size: {
            xs: css(_templateObject3(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
export var configXXS = {
    defaults: {
        size: 'xxs'
    },
    variations: {
        size: {
            xxs: css(_templateObject4(), typographyTokens.typoFontFamily, typographyTokens.typoFontSize, typographyTokens.typoFontStyle, typographyTokens.typoFontWeight, typographyTokens.typoFontWeightBold, typographyTokens.typoFontWeightMedium, typographyTokens.typoFontLetterSpacing, typographyTokens.typoFontLineHeight)
        }
    }
};
